Loading...
Searching...
No Matches
dolfin::LinearVariationalProblem Class Reference

`#include <LinearVariationalProblem.h>`

Inheritance diagram for dolfin::LinearVariationalProblem:
[legend]
Collaboration diagram for dolfin::LinearVariationalProblem:
[legend]

## Public Member Functions

| LinearVariationalProblem (std::shared_ptr< const Form > a, std::shared_ptr< const Form > L, std::shared_ptr< Function > u, std::vector< std::shared_ptr< const DirichletBC > > bcs)
std::shared_ptr< const Form > | bilinear_form () const
| Return bilinear form.
std::shared_ptr< const Form > | linear_form () const
| Return linear form.
std::shared_ptr< Function > | solution ()
| Return solution variable.
std::shared_ptr< const Function > | solution () const
| Return solution variable (const version).
std::vector< std::shared_ptr< const DirichletBC > > | bcs () const
| Return boundary conditions.
std::shared_ptr< const FunctionSpace > | trial_space () const
| Return trial space.
std::shared_ptr< const FunctionSpace > | test_space () const
| Return test space.
Public Member Functions inherited from dolfin::Hierarchical< LinearVariationalProblem >
| Hierarchical (LinearVariationalProblem &self)
| Constructor.
virtual | ~Hierarchical ()
| Destructor.
std::size_t | depth () const
bool | has_parent () const
bool | has_child () const
LinearVariationalProblem & | parent ()
std::shared_ptr< LinearVariationalProblem > | parent_shared_ptr ()
LinearVariationalProblem & | child ()
std::shared_ptr< LinearVariationalProblem > | child_shared_ptr ()
LinearVariationalProblem & | root_node ()
std::shared_ptr< LinearVariationalProblem > | root_node_shared_ptr ()
LinearVariationalProblem & | leaf_node ()
std::shared_ptr< LinearVariationalProblem > | leaf_node_shared_ptr ()
void | set_parent (std::shared_ptr< LinearVariationalProblem > parent)
| Set parent.
void | clear_child ()
| Clear child.
void | set_child (std::shared_ptr< LinearVariationalProblem > child)
| Set child.
const Hierarchical & | operator= (const Hierarchical &hierarchical)
| Assignment operator.
void | _debug () const
| Function useful for debugging the hierarchy.

## Detailed Description

This class represents a linear variational problem:

Find u in V such that

    a(u, v) = L(v)  for all v in V^,

where V is the trial space and V^ is the test space.

## Constructor & Destructor Documentation

## LinearVariationalProblem()

LinearVariationalProblem::LinearVariationalProblem | ( | std::shared_ptr< const Form > | a,
|  | std::shared_ptr< const Form > | L,
|  | std::shared_ptr< Function > | u,
|  | std::vector< std::shared_ptr< const DirichletBC > > | bcs )

Create linear variational problem with a list of boundary conditions

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/LinearVariationalProblem.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/LinearVariationalProblem.cpp